Bug 1276081 - Review Request: texlive-extension - TeX formatting system
Review Request: texlive-extension - TeX formatting system
Status: CLOSED CURRENTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: Package Review (Show other bugs)
epel7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-28 12:10 EDT by Ngo Than
Modified: 2015-11-10 15:44 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-10 15:44:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
karsten: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Ngo Than 2015-10-28 12:10:11 EDT
Spec URL: https://than.fedorapeople.org/epel7/texlive-extensions/texlive-extension.spec
SRPM URL: https://than.fedorapeople.org/epel7/texlive-extensions/texlive-extension-2012-1.el7.src.rpm
Description: this package includes many texlive extentions which are dropped in RHEL7
- cyrillic support
Fedora Account System Username: than
Comment 1 Karsten Hopp 2015-11-03 06:38:31 EST
MUSTFIX:
$ rpmlint texlive-extension-2012-1.el7.src.rpm 
texlive-extension.src: W: spelling-error %description -l en_US extentions -> extensions, extent ions, extent-ions
texlive-extension.src: W: depscript-without-disabling-depgen
texlive-extension.src: W: invalid-url Source2158: ftp://ftp.ctex.org/mirrors/CTAN/systems/texlive/tlnet/archive/hyphen-ukrainian.tar.xz <urlopen error ftp error: timed out>

All sources seem to get a timeout. Are those URLs correct and the server ist just down at the moment ?

I've followed https://fedoraproject.org/wiki/Packaging:ReviewGuidelines and won't list checks here that were OK:

NEEDSCHECK: The License field in the package spec file must match the actual license.
None of the files seem to be licensed under GPL*

NEEDSCHECK: The sources used to build the package must match the upstream source, as provided in the spec URL
See comment about rpmlint output above

NEEDSCHECK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

Does this package really need 'BuildRequires: texlive' ? I don't think so

MUSTFIX: uninstalled all texlive packages and installed only those required be the texlive-extensions rpms. Then installed all texlive-extensions rpms with 'rpm -Uvh texlive*` (The files were in their own directory):
sed: kann /usr/share/texlive/texmf/tex/generic/config/language.dat nicht lesen: Datei oder Verzeichnis nicht gefunden
/var/tmp/rpm-tmp.tAnvEX: Zeile 5: /usr/share/texlive/texmf/tex/generic/config/language.dat: Datei oder Verzeichnis nicht gefunden
sed: kann /usr/share/texlive/texmf/tex/generic/config/language.def nicht lesen: Datei oder Verzeichnis nicht gefunden
/var/tmp/rpm-tmp.tAnvEX: Zeile 7: /usr/share/texlive/texmf/tex/generic/config/language.def: Datei oder Verzeichnis nicht gefunden
   4:texlive-hyphen-ukrainian-svn23085################################# [ 13%]
sed: kann /usr/share/texlive/texmf/tex/generic/config/language.dat nicht lesen: Datei oder Verzeichnis nicht gefunden
/var/tmp/rpm-tmp.ikbBw5: Zeile 5: /usr/share/texlive/texmf/tex/generic/config/language.dat: Datei oder Verzeichnis nicht gefunden
sed: kann /usr/share/texlive/texmf/tex/generic/config/language.def nicht lesen: Datei oder Verzeichnis nicht gefunden
/var/tmp/rpm-tmp.ikbBw5: Zeile 7: /usr/share/texlive/texmf/tex/generic/config/language.def: Datei oder Verzeichnis nicht gefunden
...
  10:texlive-hyphen-bulgarian-svn25990################################# [ 33%]
sed: kann /usr/share/texlive/texmf/tex/generic/config/language.dat nicht lesen: Datei oder Verzeichnis nicht gefunden
/var/tmp/rpm-tmp.56V2cK: Zeile 5: /usr/share/texlive/texmf/tex/generic/config/language.dat: Datei oder Verzeichnis nicht gefunden
sed: kann /usr/share/texlive/texmf/tex/generic/config/language.def nicht lesen: Datei oder Verzeichnis nicht gefunden
/var/tmp/rpm-tmp.56V2cK: Zeile 7: /usr/share/texlive/texmf/tex/generic/config/language.def: Datei oder Verzeichnis nicht gefunden
...
  19:texlive-cmcyr-svn16696.0-1.fc19  ################################# [ 63%]
sed: kann /usr/share/texlive/texmf/web2c/updmap.cfg nicht lesen: Datei oder Verzeichnis nicht gefunden
/var/tmp/rpm-tmp.nOvArV: Zeile 5: /usr/share/texlive/texmf/web2c/updmap.cfg: Datei oder Verzeichnis nicht gefunden
Comment 2 Karsten Hopp 2015-11-03 06:53:56 EST
Here's another issue:

MUSTFIX:
Bump the release, rebuild and try to update the packages:
package texlive-ukrhyph-svn21081.0-37.fc19.noarch is already installed
package texlive-hyphen-russian-svn23085.0-37.fc19.noarch is already installed
package texlive-hyphen-ukrainian-svn23085.0-37.fc19.noarch is already installed
package texlive-hyphen-bulgarian-svn25990.0-37.fc19.noarch is already installed
package texlive-ukrhyph-doc-svn21081.0-37.fc19.noarch is already installed

Those sub-packages need to have a release tag
Comment 3 Karsten Hopp 2015-11-06 10:59:17 EST
the sed errors are caused by my mock using f19 packages to install the buildroot.
Not reproducable with rhel7 packages or centos packages. Please ignore that part.
Comment 4 Ngo Than 2015-11-06 11:17:36 EST
 Your comment was:

    (In reply to Karsten Hopp from comment #1)
    > MUSTFIX:
    > $ rpmlint texlive-extension-2012-1.el7.src.rpm 
    > texlive-extension.src: W: spelling-error %description -l en_US extentions ->
    > extensions, extent ions, extent-ions
    i cannot reproduce this issue with rpmlint on rhel7

    > texlive-extension.src: W: depscript-without-disabling-depgen
    what is wrong here? 

    > texlive-extension.src: W: invalid-url Source2158:
    > ftp://ftp.ctex.org/mirrors/CTAN/systems/texlive/tlnet/archive/hyphen-
    > ukrainian.tar.xz <urlopen error ftp error: timed out>
    >
    > All sources seem to get a timeout. Are those URLs correct and the server ist
    > just down at the moment ?
    >

    the url is now fixed. But the checksum could be different because we only
    use the old tar bar from texlive 2012 which are not avaible anymore on the texlive server
    Please ignore the warnings "file-size-mismatch"
     
    > I've followed https://fedoraproject.org/wiki/Packaging:ReviewGuidelines and
    > won't list checks here that were OK:
    > 
    > NEEDSCHECK: The License field in the package spec file must match the actual
    > license.
    > None of the files seem to be licensed under GPL*
    >

    Texlive has other license which is ok for fedora

    Public Domain Software, The LaTeX Project Public License and 

    > NEEDSCHECK: The sources used to build the package must match the upstream
    > source, as provided in the spec URL
    > See comment about rpmlint output above
    > 

    please look above

    > NEEDSCHECK: All build dependencies must be listed in BuildRequires, except
    > for any that are listed in the exceptions section of the Packaging
    > Guidelines ; inclusion of those as BuildRequires is optional. Apply common
    > sense.
    > 

    it's noarch pacckages so the current BR is correctr

    > Does this package really need 'BuildRequires: texlive' ? I don't think so
    > 

    no, it's fixed now

    > MUSTFIX: uninstalled all texlive packages and installed only those required
    > be the texlive-extensions rpms. Then installed all texlive-extensions rpms
    > with 'rpm -Uvh texlive*` (The files were in their own directory):
    > sed: kann /usr/share/texlive/texmf/tex/generic/config/language.dat nicht
    > lesen: Datei oder Verzeichnis nicht gefunden
    > /var/tmp/rpm-tmp.tAnvEX: Zeile 5:
    > /usr/share/texlive/texmf/tex/generic/config/language.dat: Datei oder
    > Verzeichnis nicht gefunden
    > sed: kann /usr/share/texlive/texmf/tex/generic/config/language.def nicht
    > lesen: Datei oder Verzeichnis nicht gefunden
    > /var/tmp/rpm-tmp.tAnvEX: Zeile 7:
    > /usr/share/texlive/texmf/tex/generic/config/language.def: Datei oder
    > Verzeichnis nicht gefunden
    >    4:texlive-hyphen-ukrainian-svn23085################################# [
    > 13%]
    > sed: kann /usr/share/texlive/texmf/tex/generic/config/language.dat nicht
    > lesen: Datei oder Verzeichnis nicht gefunden
    > /var/tmp/rpm-tmp.ikbBw5: Zeile 5:
    > /usr/share/texlive/texmf/tex/generic/config/language.dat: Datei oder
    > Verzeichnis nicht gefunden
    > sed: kann /usr/share/texlive/texmf/tex/generic/config/language.def nicht
    > lesen: Datei oder Verzeichnis nicht gefunden
    > /var/tmp/rpm-tmp.ikbBw5: Zeile 7:
    > /usr/share/texlive/texmf/tex/generic/config/language.def: Datei oder
    > Verzeichnis nicht gefunden
    > ...
    >   10:texlive-hyphen-bulgarian-svn25990################################# [
    > 33%]
    > sed: kann /usr/share/texlive/texmf/tex/generic/config/language.dat nicht
    > lesen: Datei oder Verzeichnis nicht gefunden
    > /var/tmp/rpm-tmp.56V2cK: Zeile 5:
    > /usr/share/texlive/texmf/tex/generic/config/language.dat: Datei oder
    > Verzeichnis nicht gefunden
    > sed: kann /usr/share/texlive/texmf/tex/generic/config/language.def nicht
    > lesen: Datei oder Verzeichnis nicht gefunden
    > /var/tmp/rpm-tmp.56V2cK: Zeile 7:
    > /usr/share/texlive/texmf/tex/generic/config/language.def: Datei oder
    > Verzeichnis nicht gefunden
    > ...
    >   19:texlive-cmcyr-svn16696.0-1.fc19  ################################# [
    > 63%]
    > sed: kann /usr/share/texlive/texmf/web2c/updmap.cfg nicht lesen: Datei oder
    > Verzeichnis nicht gefunden
    > /var/tmp/rpm-tmp.nOvArV: Zeile 5: /usr/share/texlive/texmf/web2c/updmap.cfg:
    > Datei oder Verzeichnis nicht gefunden

    i cannot reproduce these errors, i tested it on machine eith rhel7 and it works fine for me.


    i uploaded new srpm and specfile, could you please check again?

    Thanks
Comment 5 Karsten Hopp 2015-11-06 14:33:13 EST
rpmlint still complains about a lot of stuff:
$ rpmlint /tmp/texlive-extension-2012-1.el7.src.rpm 
texlive-extension.src: W: spelling-error %description -l en_US extentions -> extensions, extent ions, extent-ions

###### Karsten:
That is an easy fix. There is no such english word 'extentions'. Please replace it with 'extensions'


texlive-extension.src: W: depscript-without-disabling-depgen

###### Karsten:
It is recommended to disable the dependency generator when the spec file has its own __find_provides or __find_requires :
%define _use_internal_dependency_generator 0



texlive-extension.src: W: file-size-mismatch ukrhyph.tar.xz = 39120, http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ukrhyph.tar.xz = 39124
texlive-extension.src: W: file-size-mismatch ruhyphen.tar.xz = 56844, http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ruhyphen.tar.xz = 56840
texlive-extension.src: W: file-size-mismatch lhcyr.source.tar.xz = 2348, http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lhcyr.source.tar.xz = 2356
texlive-extension.src: W: file-size-mismatch lhcyr.tar.xz = 36108, http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lhcyr.tar.xz = 36156
texlive-extension.src: W: file-size-mismatch ec.doc.tar.xz = 22860, http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ec.doc.tar.xz = 22864
texlive-extension.src: W: file-size-mismatch ec.tar.xz = 264128, http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ec.tar.xz = 264132
texlive-extension.src: W: file-size-mismatch lh.source.tar.xz = 41756, http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lh.source.tar.xz = 41752
texlive-extension.src: W: file-size-mismatch lh.doc.tar.xz = 55468, http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lh.doc.tar.xz = 55464
texlive-extension.src: W: file-size-mismatch lh.tar.xz = 172056, http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lh.tar.xz = 172048
texlive-extension.src: W: file-size-mismatch lcyw.doc.tar.xz = 107764, http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lcyw.doc.tar.xz = 107768
texlive-extension.src: W: file-size-mismatch gost.source.tar.xz = 22592, http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gost.source.tar.xz = 22596
texlive-extension.src: W: file-size-mismatch gost.doc.tar.xz = 1420980, http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gost.doc.tar.xz = 1420984
texlive-extension.src: W: file-size-mismatch gost.tar.xz = 14828, http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gost.tar.xz = 14832
texlive-extension.src: W: file-size-mismatch eskdx.tar.xz = 17236, http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eskdx.tar.xz = 17240
texlive-extension.src: W: file-size-mismatch disser.source.tar.xz = 33328, http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/disser.source.tar.xz = 33812
texlive-extension.src: W: file-size-mismatch disser.doc.tar.xz = 35704, http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/disser.doc.tar.xz = 36864
texlive-extension.src: W: file-size-mismatch disser.tar.xz = 20704, http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/disser.tar.xz = 21412
texlive-extension.src: W: file-size-mismatch collection-langcyrillic.tar.xz = 392, http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/collection-langcyrillic.tar.xz = 568
texlive-extension.src: W: file-size-mismatch cyrillic-bin.doc.tar.xz = 6716, http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cyrillic-bin.doc.tar.xz = 6704
texlive-extension.src: W: file-size-mismatch cyrillic-bin.tar.xz = 1496, http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cyrillic-bin.tar.xz = 1500
texlive-extension.src: W: file-size-mismatch cyrillic.source.tar.xz = 21196, http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cyrillic.source.tar.xz = 21288
texlive-extension.src: W: file-size-mismatch cyrillic.doc.tar.xz = 419572, http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cyrillic.doc.tar.xz = 924800
texlive-extension.src: W: file-size-mismatch cyrillic.tar.xz = 15572, http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cyrillic.tar.xz = 15700
texlive-extension.src: W: file-size-mismatch cmcyr.doc.tar.xz = 5904, http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cmcyr.doc.tar.xz = 5900
texlive-extension.src: W: file-size-mismatch cmcyr.tar.xz = 902416, http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cmcyr.tar.xz = 902452

######## Karsten:
I suspect that upstream exchanged those files with newer ones, impossible to tell without versioned tarballs. I think we can ignore those for now.


Please note that it is impossible to install these texlive-extension packages on CentOS or in an epel-7 mock chroot as Centos hasn't updated texlive-kpathsea-lib:

Error: Package: texlive-cyrillic-bin-bin-svn27329.0-1.el7.centos.noarch (/texlive-cyrillic-bin-bin-svn27329.0-1.el7.centos.noarch)
           Requires: texlive-kpathsea-lib >= 2:2012-38.20130427_r30134.el7.centos
           Available: 2:texlive-kpathsea-lib-2012-32.20130427_r30134.el7.i686 (base)
               texlive-kpathsea-lib = 2:2012-32.20130427_r30134.el7
Comment 6 Ngo Than 2015-11-09 07:08:50 EST
(In reply to Karsten Hopp from comment #5)
> rpmlint still complains about a lot of stuff:
> $ rpmlint /tmp/texlive-extension-2012-1.el7.src.rpm 
> texlive-extension.src: W: spelling-error %description -l en_US extentions ->
> extensions, extent ions, extent-ions
> 
> ###### Karsten:
> That is an easy fix. There is no such english word 'extentions'. Please
> replace it with 'extensions'
> 

it's fixed

> 
> texlive-extension.src: W: depscript-without-disabling-depgen
> 
> ###### Karsten:
> It is recommended to disable the dependency generator when the spec file has
> its own __find_provides or __find_requires :
> %define _use_internal_dependency_generator 0
> 
>
it's fixed
 
> 
> texlive-extension.src: W: file-size-mismatch ukrhyph.tar.xz = 39120,
> http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ukrhyph.
> tar.xz = 39124
> texlive-extension.src: W: file-size-mismatch ruhyphen.tar.xz = 56844,
> http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/
> ruhyphen.tar.xz = 56840
> texlive-extension.src: W: file-size-mismatch lhcyr.source.tar.xz = 2348,
> http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lhcyr.
> source.tar.xz = 2356
> texlive-extension.src: W: file-size-mismatch lhcyr.tar.xz = 36108,
> http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lhcyr.
> tar.xz = 36156
> texlive-extension.src: W: file-size-mismatch ec.doc.tar.xz = 22860,
> http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ec.doc.
> tar.xz = 22864
> texlive-extension.src: W: file-size-mismatch ec.tar.xz = 264128,
> http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/ec.tar.
> xz = 264132
> texlive-extension.src: W: file-size-mismatch lh.source.tar.xz = 41756,
> http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lh.
> source.tar.xz = 41752
> texlive-extension.src: W: file-size-mismatch lh.doc.tar.xz = 55468,
> http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lh.doc.
> tar.xz = 55464
> texlive-extension.src: W: file-size-mismatch lh.tar.xz = 172056,
> http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lh.tar.
> xz = 172048
> texlive-extension.src: W: file-size-mismatch lcyw.doc.tar.xz = 107764,
> http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/lcyw.
> doc.tar.xz = 107768
> texlive-extension.src: W: file-size-mismatch gost.source.tar.xz = 22592,
> http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gost.
> source.tar.xz = 22596
> texlive-extension.src: W: file-size-mismatch gost.doc.tar.xz = 1420980,
> http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gost.
> doc.tar.xz = 1420984
> texlive-extension.src: W: file-size-mismatch gost.tar.xz = 14828,
> http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/gost.
> tar.xz = 14832
> texlive-extension.src: W: file-size-mismatch eskdx.tar.xz = 17236,
> http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/eskdx.
> tar.xz = 17240
> texlive-extension.src: W: file-size-mismatch disser.source.tar.xz = 33328,
> http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/disser.
> source.tar.xz = 33812
> texlive-extension.src: W: file-size-mismatch disser.doc.tar.xz = 35704,
> http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/disser.
> doc.tar.xz = 36864
> texlive-extension.src: W: file-size-mismatch disser.tar.xz = 20704,
> http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/disser.
> tar.xz = 21412
> texlive-extension.src: W: file-size-mismatch collection-langcyrillic.tar.xz
> = 392,
> http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/
> collection-langcyrillic.tar.xz = 568
> texlive-extension.src: W: file-size-mismatch cyrillic-bin.doc.tar.xz = 6716,
> http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/
> cyrillic-bin.doc.tar.xz = 6704
> texlive-extension.src: W: file-size-mismatch cyrillic-bin.tar.xz = 1496,
> http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/
> cyrillic-bin.tar.xz = 1500
> texlive-extension.src: W: file-size-mismatch cyrillic.source.tar.xz = 21196,
> http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/
> cyrillic.source.tar.xz = 21288
> texlive-extension.src: W: file-size-mismatch cyrillic.doc.tar.xz = 419572,
> http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/
> cyrillic.doc.tar.xz = 924800
> texlive-extension.src: W: file-size-mismatch cyrillic.tar.xz = 15572,
> http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/
> cyrillic.tar.xz = 15700
> texlive-extension.src: W: file-size-mismatch cmcyr.doc.tar.xz = 5904,
> http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cmcyr.
> doc.tar.xz = 5900
> texlive-extension.src: W: file-size-mismatch cmcyr.tar.xz = 902416,
> http://ctan.sharelatex.com/tex-archive/systems/texlive/tlnet/archive/cmcyr.
> tar.xz = 902452
> 
> ######## Karsten:
> I suspect that upstream exchanged those files with newer ones, impossible to
> tell without versioned tarballs. I think we can ignore those for now.
> 
> 

yes, please ignore it.

> Please note that it is impossible to install these texlive-extension
> packages on CentOS or in an epel-7 mock chroot as Centos hasn't updated
> texlive-kpathsea-lib:
> 
> Error: Package: texlive-cyrillic-bin-bin-svn27329.0-1.el7.centos.noarch
> (/texlive-cyrillic-bin-bin-svn27329.0-1.el7.centos.noarch)
>            Requires: texlive-kpathsea-lib >=
> 2:2012-38.20130427_r30134.el7.centos
>            Available:
> 2:texlive-kpathsea-lib-2012-32.20130427_r30134.el7.i686 (base)
>                texlive-kpathsea-lib = 2:2012-32.20130427_r30134.el7

it's fixed.

i uploade new srpm and specfile. Could you please check it again?

Thanks
Comment 7 Karsten Hopp 2015-11-09 09:48:33 EST
rpmlint looks ok now.

The only issue remaining is the last one from comment #5:
Please note that it is impossible to install these texlive-extension packages on CentOS or in an epel-7 mock chroot as Centos hasn't updated texlive-kpathsea-lib:

Error: Package: texlive-cyrillic-bin-bin-svn27329.0-1.el7.centos.noarch (/texlive-cyrillic-bin-bin-svn27329.0-1.el7.centos.noarch)
           Requires: texlive-kpathsea-lib >= 2:2012-38.20130427_r30134.el7.centos
           Available: 2:texlive-kpathsea-lib-2012-32.20130427_r30134.el7.i686 (base)
               texlive-kpathsea-lib = 2:2012-32.20130427_r30134.el7

Manually installing texlive-kpathsea-lib.x86_64 into the mock chroot resulted in a different error that shows the real issue:
Error: Package: texlive-cyrillic-bin-bin-svn27329.0-1.el7.centos.noarch (/texlive-cyrillic-bin-bin-svn27329.0-1.el7.centos.noarch)
           Requires: texlive-kpathsea-lib >= 2:2012-32.20130427_r30134.el7.centos
           Installed: 2:texlive-kpathsea-lib-2012-32.20130427_r30134.el7.x86_64 (@base)
               texlive-kpathsea-lib = 2:2012-32.20130427_r30134.el7

in the mock chroot:
# rpm --eval %dist
.el7.centos

So there's a mismatch between the provides of official EPEL packages and the requirements in mock builds if the packages use %dist in the Provides:/Requires: fields.

I think we need to waive this issue although it is quite unfortunate. The package review guidelines only require  that the package builds in mock, not that it is installable ;-(


comment #2 is now valid for all other subpackages. The 5 mentioned are fixed now and use the release tag. All others have Release 1%{dist} hardcoded
Comment 8 Ngo Than 2015-11-09 10:35:23 EST
(In reply to Karsten Hopp from comment #7)
> rpmlint looks ok now.
> 
> The only issue remaining is the last one from comment #5:
> Please note that it is impossible to install these texlive-extension
> packages on CentOS or in an epel-7 mock chroot as Centos hasn't updated
> texlive-kpathsea-lib:
> 
> Error: Package: texlive-cyrillic-bin-bin-svn27329.0-1.el7.centos.noarch
> (/texlive-cyrillic-bin-bin-svn27329.0-1.el7.centos.noarch)
>            Requires: texlive-kpathsea-lib >=
> 2:2012-38.20130427_r30134.el7.centos
>            Available:
> 2:texlive-kpathsea-lib-2012-32.20130427_r30134.el7.i686 (base)
>                texlive-kpathsea-lib = 2:2012-32.20130427_r30134.el7
> 
> Manually installing texlive-kpathsea-lib.x86_64 into the mock chroot
> resulted in a different error that shows the real issue:
> Error: Package: texlive-cyrillic-bin-bin-svn27329.0-1.el7.centos.noarch
> (/texlive-cyrillic-bin-bin-svn27329.0-1.el7.centos.noarch)
>            Requires: texlive-kpathsea-lib >=
> 2:2012-32.20130427_r30134.el7.centos
>            Installed:
> 2:texlive-kpathsea-lib-2012-32.20130427_r30134.el7.x86_64 (@base)
>                texlive-kpathsea-lib = 2:2012-32.20130427_r30134.el7
> 
> in the mock chroot:
> # rpm --eval %dist
> .el7.centos
> 
> So there's a mismatch between the provides of official EPEL packages and the
> requirements in mock builds if the packages use %dist in the
> Provides:/Requires: fields.
> 
> I think we need to waive this issue although it is quite unfortunate. The
> package review guidelines only require  that the package builds in mock, not
> that it is installable ;-(
> 
> 

i don't think it's a bug in texlive-extension, but rather in rpm macro. This issue does not appear if you build in koji build enviroment.

> comment #2 is now valid for all other subpackages. The 5 mentioned are fixed
> now and use the release tag. All others have Release 1%{dist} hardcoded
Comment 9 Karsten Hopp 2015-11-09 10:44:55 EST
After talking with Than he  added some instructions on how to bump and rebuild the package. That should take care of the last open issue.
Comment 10 Ngo Than 2015-11-09 10:52:52 EST
comments are already added in final specfile
Comment 11 Ngo Than 2015-11-09 11:00:14 EST
new Package SCM Request
=======================
Package Name: texlive-extension
Short Description: includes many texlive extensions which were dropped in RHEL7
Owners: than
Branches: epel7
Comment 12 Gwyn Ciesla 2015-11-09 11:37:36 EST
This SCM request method has been deprecated. Please see https://fedoraproject.org/wiki/PackageDB_admin_requests.
Comment 13 Ngo Than 2015-11-09 11:48:49 EST
Jon, thanks for you info, i already sent request
Comment 14 Gwyn Ciesla 2015-11-09 11:52:16 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/texlive-extension
Comment 15 Ngo Than 2015-11-10 15:44:39 EST
it's now imported in git fedora.

thanks

Note You need to log in before you can comment on or make changes to this bug.